[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageControl.DockOver

Called to check whether this control allows docking and where.

## Declaration

Source position: comctrls.pp line 590

`protected procedure TPageControl.DockOver(`
`Source: TDragDockObject;`
`X: Integer;`
`Y: Integer;`
`State: TDragState;`
`var Accept: Boolean`
`); override;`

## Arguments

`Source` |  | Object with the display rectangle and alignment for the hover notification.
`X` |  | Horizontal coordinate for the dockable object.
`Y` |  | Vertical coordinate for the dockable object.
`State` |  | Indicates whether the object is entering, moving, or leaving the dock site.
`Accept` |  | Returns True if the object can be docked.

## See also

TWinControl.DockOver |  | Called to check whether this control allows docking and where.